package intrinsic.flash.events;

public class SQLUpdateEvent extends intrinsic.flash.events.Event {

	/** Accessors */
	public double rowID;
	public String tableName;

	/** Variables */

	/** Constants */
	public static final String UPDATE = "update";
	public static final String DELETE = "delete";
	public static final String INSERT = "insert";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public SQLUpdateEvent() {
}

public SQLUpdateEvent(String arg0) {
}

public SQLUpdateEvent(String arg0, boolean arg1) {
}

public SQLUpdateEvent(String arg0, boolean arg1, boolean arg2) {
}

public SQLUpdateEvent(String arg0, boolean arg1, boolean arg2, String arg3) {
}

public SQLUpdateEvent(String arg0, boolean arg1, boolean arg2, String arg3, double arg4) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
